> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kas.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# Blocks by DAA score range

> Retrieve list of blocks with given daa score range. Both start and end are inclusive. The maximum difference allowed between start and end for the same request is 100.

## Cost

This endpoint costs **1 RU** (Request Units) per call.


## OpenAPI

````yaml GET /v1/blocks/daa-score/{daa_score_start}/{daa_score_end}
openapi: 3.0.0
info:
  title: Kaspa Developer Platform (KDP) API
  description: >-
    A high-performance REST API providing real-time and historical data from the
    Kaspa blockchain
  version: '1.0'
  contact: {}
servers:
  - url: https://api.kas.fyi
    description: Mainnet API
security: []
tags:
  - name: Address
    description: Operations related to Kaspa addresses
  - name: Block
    description: Operations related to Kaspa blocks
  - name: Transaction
    description: Operations related to Kaspa transactions
  - name: Token
    description: Operations related to KRC20 tokens
  - name: Kaspa Node RPC Proxy
    description: Direct proxy to Kaspa node RPC methods
paths:
  /v1/blocks/daa-score/{daa_score_start}/{daa_score_end}:
    get:
      tags:
        - Block
      summary: Blocks by DAA score range
      description: >-
        Retrieve list of blocks with given daa score range. Both start and end
        are inclusive. The maximum difference allowed between start and end for
        the same request is 100.
      operationId: BlockController_getBlocksByDaaScore
      parameters:
        - name: daa_score_start
          required: true
          in: path
          description: Starting DAA score value for the range query (inclusive)
          schema:
            example: 199879592
            type: number
        - name: daa_score_end
          required: false
          in: path
          description: >-
            Ending DAA score value for the range query (inclusive). If not
            provided, defaults to `daa_score_start`. 


            Maximum range size is 100.
          schema:
            example: 199879592
            type: number
        - name: chain_blocks_only
          required: false
          in: query
          description: >-
            Filter to include only Virtual Selected Parent Chain (VSPC) blocks.
            Default is `false`.
          schema:
            example: false
            type: boolean
        - name: include_transactions
          required: false
          in: query
          description: Whether to include transactions. Default is `false`.
          schema:
            example: true
            type: boolean
        - name: include_payload
          required: false
          in: query
          description: >-
            Whether to include the payload of the transaction. Only effective
            when `include_transactions` is true. Default is `false`.
          schema:
            example: false
            type: boolean
      responses:
        '200':
          description: >-
            Array of blocks and transactions within the specified DAA score
            range. 


            Transactions are returned in a separate flat array rather than
            nested within blocks, as the same transaction can appear in multiple
            blocks.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBlocksByDaaScoreRangeResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    GetBlocksByDaaScoreRangeResponseDto:
      type: object
      properties:
        blocks:
          description: The list of blocks
          type: array
          items:
            $ref: '#/components/schemas/BlockResponseDto'
        transactions:
          description: All transactions in `blocks`
          type: array
          items:
            $ref: '#/components/schemas/TransactionResponseDto'
      required:
        - blocks
        - transactions
    BlockResponseDto:
      type: object
      properties:
        hash:
          type: string
          description: Block hash
          example: 2a0c51fab2a7c7a187299e087a244d1e70acdc75e0214a661c62761e2d6bbf4f
        acceptedIdMerkleRoot:
          type: string
          description: The accepted ID merkle root of the block
          example: 6a58371f3b3ead073b801ef01d9483949e327433551cd7acd4fb120fa50107d4
        difficulty:
          type: number
          description: The difficulty of the block
          example: 507406243542504400
        isChainBlock:
          type: boolean
          description: >-
            Indicates if the block is part of the Virtual Selected Parent Chain
            (VSPC).
          example: true
        mergeSetBluesHashes:
          description: The merge set blues hashes of the block
          example:
            - 2a0c51fab2a7c7a187299e087a244d1e70acdc75e0214a661c62761e2d6bbf4f
          type: array
          items:
            type: string
        mergeSetRedsHashes:
          description: The merge set reds hashes of the block
          example:
            - 2a0c51fab2a7c7a187299e087a244d1e70acdc75e0214a661c62761e2d6bbf4f
          type: array
          items:
            type: string
        selectedParentHash:
          type: string
          description: The selected parent hash of the block
          example: 2a0c51fab2a7c7a187299e087a244d1e70acdc75e0214a661c62761e2d6bbf4f
        bits:
          type: number
          description: The bits of the block
          example: 420621680
        blueScore:
          format: int64
          type: integer
          description: The blue score of the block
          example: 198182682
        blueWork:
          type: string
          description: The blue work of the block
          example: 000000000000000000000000001aac71f3a8e677ec782921
        daaScore:
          format: int64
          type: integer
          description: The daa score of the block
          example: 199879592
        hashMerkleRoot:
          type: string
          description: The hash merkle root of the block
          example: 4033b49e51c2fd1ddf067b3c6f94f7b1b228baccfe8134a0c875b7d24c5df06f
        nonce:
          type: string
          description: The nonce of the block
          example: '2463154641575365871'
        parents:
          description: The parent block hashes of the block
          example:
            - 2a0c51fab2a7c7a187299e087a244d1e70acdc75e0214a661c62761e2d6bbf4f
          type: array
          items:
            type: string
        pruningPoint:
          type: string
          description: The pruning point of the block
          example: 2a0c51fab2a7c7a187299e087a244d1e70acdc75e0214a661c62761e2d6bbf4f
        timestamp:
          format: date-time
          type: string
          description: The timestamp of the block
          example: '2025-08-17T05:30:42.577Z'
        utxoCommitment:
          type: string
          description: The utxo commitment of the block
          example: 493dd3d15378745ea44dab81fd702eb35b9330f27f971e0eb1792ef4583b6dae
        version:
          type: number
          description: The version of the block
          example: 1
        transactionIds:
          description: The transaction ids in this block, if requested
          example:
            - f123bed13d88bc18236d977c0035267d0054b912170fe4ae619e93306685d2af
          type: array
          items:
            type: string
      required:
        - hash
        - acceptedIdMerkleRoot
        - difficulty
        - isChainBlock
        - mergeSetBluesHashes
        - mergeSetRedsHashes
        - selectedParentHash
        - bits
        - blueScore
        - blueWork
        - daaScore
        - hashMerkleRoot
        - nonce
        - parents
        - pruningPoint
        - timestamp
        - utxoCommitment
        - version
        - transactionIds
    TransactionResponseDto:
      type: object
      properties:
        transactionId:
          type: string
          description: Transaction ID
          example: a7177c55769381a56c126e458c8bb6046613b8a8d45c2f8d3ca5dc71a065279a
        blockTime:
          format: int64
          type: integer
          description: Block time
          example: 1749531022210
        subnetworkId:
          type: string
          description: The subnetwork ID of the transaction
          example: '0000000000000000000000000000000000000000'
        hash:
          type: string
          description: Transaction hash
          example: f123bed13d88bc18236d977c0035267d0054b912170fe4ae619e93306685d2af
        mass:
          type: string
          description: The mass of the transaction
          example: '2036'
        blockHashes:
          description: The hashes of the blocks that contain the transaction
          example:
            - 30ab8f5ac54c8aa9cbf9a69209a2061e7123293efc40630136c970abef59450b
            - f97afb6794c56e0bb283ea6a38cc51cc41303a055ef9376e707139928cffa588
          type: array
          items:
            type: string
        acceptingBlockHash:
          type: string
          description: >-
            The hash of the block that accepted the transaction. Returns null if
            the transaction is not accepted.
          example: 2a0c51fab2a7c7a187299e087a244d1e70acdc75e0214a661c62761e2d6bbf4f
        isAccepted:
          type: boolean
          description: Whether the transaction is accepted
          example: true
        confirmations:
          type: number
          description: >-
            The number of confirmations for the transaction, calculated as the
            sink blue score minus the accepting block's blue score. Returns null
            if the transaction is not accepted.
          example: 10
        payload:
          type: string
          description: The payload of the transaction
          example: 0x
        inputs:
          type: array
          items:
            $ref: '#/components/schemas/TransactionInputResponseDto'
        outputs:
          type: array
          items:
            $ref: '#/components/schemas/TransactionOutputResponseDto'
      required:
        - transactionId
        - blockTime
        - subnetworkId
        - hash
        - mass
        - blockHashes
        - acceptingBlockHash
        - isAccepted
        - confirmations
        - payload
        - inputs
        - outputs
    TransactionInputResponseDto:
      type: object
      properties:
        transactionId:
          type: string
          description: Transaction ID
          example: a7177c55769381a56c126e458c8bb6046613b8a8d45c2f8d3ca5dc71a065279a
        index:
          type: number
          description: Index of the transaction
          example: 0
        signatureScript:
          type: string
          description: The signature script of the input
          example: >-
            4183faed776b7f1b1ed32b97aafe3069ee357c80b637f5069ab859916a896ec69a59e9bebcc3e646587d59376a40c72dd0290f8ebdbf0b64f13e2d8f81d0fe106301
        sigOpCount:
          type: number
          description: The number of signature operations in the input
          example: 1
        previousOutput:
          description: The previous output of the input
          allOf:
            - $ref: '#/components/schemas/TransactionOutputResponseDto'
      required:
        - transactionId
        - index
        - signatureScript
        - sigOpCount
        - previousOutput
    TransactionOutputResponseDto:
      type: object
      properties:
        transactionId:
          type: string
          description: Transaction ID
          example: a7177c55769381a56c126e458c8bb6046613b8a8d45c2f8d3ca5dc71a065279a
        index:
          type: number
          description: Index of the transaction
          example: 0
        amount:
          type: string
          description: The amount of this output in sompi.
          example: '31112708372'
        scriptPublicKey:
          type: string
          description: The script public key of the output
          example: 2010fdab002cff0ac15bfc8b982c5a616bef9e5a66f0c655f4f63f7d1cef39d2b4ac
        scriptPublicKeyAddress:
          type: string
          description: The script public key address of the output
          example: kaspa:qqg0m2cq9nls4s2mlj9estz6v947l8j6vmcvv4057clh688088ftg7ce6p895
        scriptPublicKeyType:
          type: string
          description: The script public key type of the output
          example: pubkey
      required:
        - transactionId
        - index
        - amount
        - scriptPublicKey
        - scriptPublicKeyAddress
        - scriptPublicKeyType
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key required for authentication. Get your API key at
        https://developer.kas.fyi

````